# NAME

Trf_QueryMaxRead - Interface for procedures to query a transformation about the max.

# SYNOPSIS

    #include <transform.h>

    int Trf_QueryMaxRead
    (
    	Trf_ControlBlock ctrlBlock,
    	ClientData clientData
    );

# PARAMETERS

Trf_ControlBlock ctrlBlock
  State of encoder/decoder.
ClientData clientData
  Arbitrary information, as defined in Trf_TypeDefinition.clientData.

# DESCRIPTION

Number of bytes to read in the next call to the down channel. This procedure will be called by the generic trf layer just before reading data from the channel below the transformation. This way a transformation is able to control its consumption of characters. An example would be 'identity with stop after n characters'. This would transfer at most n characters and then basically fake higher transformations into believing that EOF occured. Then popping it would reveal the truth. Pattern matching could be used here too (internet protocols !).

# SEE ALSO

Trf_Init , Trf_SafeInit , Trf_IsInitialized , Trf_CreateOptions , Trf_DeleteOptions , Trf_CheckOptions , Trf_SetOption , Trf_SetObjOption , Trf_QueryOptions , Trf_SeekQueryOptions , Trf_WriteProc , Trf_CreateCtrlBlock , Trf_DeleteCtrlBlock , Trf_TransformCharacter , Trf_TransformBuffer , Trf_FlushTransformation , Trf_ClearCtrlBlock , Trf_Register , Trf_ConverterOptions , Trf_MDStart , Trf_MDUpdate , Trf_MDUpdateBuf , Trf_MDFinal , Trf_MDCheck , Trf_RegisterMessageDigest , Trf_LoadLibrary , Trf_XorBuffer , Trf_ShiftRegister , Trf_FlipRegisterShort , Trf_FlipRegisterLong , Trf_InitStubs